This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1302520 - [InfiniBand/HFI] Intel HFI RDMA support
[InfiniBand/HFI] Intel HFI RDMA support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 22:29 EST by Honggang LI
Modified: 2016-01-28 13:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 13:04:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honggang LI 2016-01-27 22:29:17 EST
Description of problem:

 hfi1]$ pwd
/home/honli/upstream/linux/drivers/staging/rdma/hfi1

[root@rdma-qe-06 hw]$ cd /lib/modules/4.3.3-303.fc23.x86_64/kernel/drivers/staging/
[root@rdma-qe-06 staging]$ ls
media  rtl8192e  rtl8712  rtl8723au


As RHEL-7.2 supports Intel OPA/HFI, so please build Fedora kernel with HFI driver enabled.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Redhat RDMA team will test the driver.
Comment 1 Josh Boyer 2016-01-28 08:14:27 EST
Fedora has a policy of not building staging drivers unless someone volunteers to maintain them.  Are you volunteering to deal with any and all issues related to this driver?
Comment 2 Honggang LI 2016-01-28 08:39:48 EST
Yes, RedHat RDMA team will deal with any and all issues related to this driver.
Comment 3 Doug Ledford 2016-01-28 09:45:26 EST
Not to mention that it should not be in staging long, probably out either in 4.6 or 4.7
Comment 4 Justin M. Forbes 2016-01-28 13:04:44 EST
This is enabled in rawhide, and should trickle down as Fedora 23 gets rebased.

Note You need to log in before you can comment on or make changes to this bug.